| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitLine Struct Reference

Line value emitter - returns values on the line between start and end. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitLine:

[legend]
List of all members.

## Public Member Functions
virtual void | GetContent (csVector3 &start, csVector3 &end)=0
| get content
virtual void | SetContent (const csVector3 &start, const csVector3 &end)=0
| set content, start and end vector values

## Detailed Description

Line value emitter - returns values on the line between start and end.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateLine()

Main users of this interface:

- iEmitState

Definition at line 170 of file emit.h.

## Member Function Documentation

virtual void iEmitLine::GetContent | ( | csVector3 & | start,
|  | csVector3 & | end |
| ) |  |  | `[pure virtual]`

get content

virtual void iEmitLine::SetContent | ( | const csVector3 & | start,
|  | const csVector3 & | end |
| ) |  |  | `[pure virtual]`

set content, start and end vector values

The documentation for this struct was generated from the following file:

- imesh/emit.h